Class | Magick::RVG::Utility::GraphicContext
In: | lib/rvg/misc.rb
Parent: | Object

### Methods

affine baseline_shift degrees_to_radians font font_family font_size font_stretch font_style font_weight glyph_orientation_horizontal glyph_orientation_vertical inspect letter_spacing method_missing new pop push rotate scale shadow skewX skewY stroke_width text text_anchor text_decoration translate word_spacing writing_mode

### Constants

FONT_STRETCH

=

{:normal => Magick::NormalStretch, :ultra_condensed => Magick::UltraCondensedStretch, :extra_condensed => Magick::ExtraCondensedStretch, :condensed => Magick::CondensedStretch, :semi_condensed => Magick::SemiCondensedStretch, :semi_expanded => Magick::SemiExpandedStretch, :expanded => Magick::ExpandedStretch, :extra_expanded => Magick::ExtraExpandedStretch, :ultra_expanded => Magick::UltraExpandedStretch}

FONT_STYLE | = | {:normal => Magick::NormalStyle, :italic => Magick::ItalicStyle, :oblique => Magick::ObliqueStyle}
FONT_WEIGHT | = | {'normal' => Magick::NormalWeight, 'bold' => Magick::BoldWeight, 'bolder' => Magick::BolderWeight, 'lighter' => Magick::LighterWeight}
TEXT_ANCHOR | = | {:start => Magick::StartAnchor, :middle => Magick::MiddleAnchor, :end => Magick::EndAnchor}
ANCHOR_TO_ALIGN | = | {:start => Magick::LeftAlign, :middle => Magick::CenterAlign, :end => Magick::RightAlign}
TEXT_DECORATION | = | {:none => Magick::NoDecoration, :underline => Magick::UnderlineDecoration, :overline => Magick::OverlineDecoration, :line_through => Magick::LineThroughDecoration}
TEXT_STRATEGIES | = | {'lr-tb'=>LRTextStrategy, 'lr'=>LRTextStrategy, 'rt-tb'=>RLTextStrategy, 'rl'=>RLTextStrategy, 'tb-rl'=>TBTextStrategy, 'tb'=>TBTextStrategy}

### Attributes

gc | [R] |
text_attrs | [R] |

### Public Class methods

degrees_to_radians(deg)
new()

### Public Instance methods

affine(sx, rx, ry, sy, tx, ty)
baseline_shift(value)
font(name)
font_family(name)
font_size(points)
font_stretch(stretch)
font_style(style)
font_weight(weight)
glyph_orientation_horizontal(deg)
glyph_orientation_vertical(deg)
inspect()
letter_spacing(value)
method_missing(methID, *args, &block)
pop()
push()
rotate(degrees)
scale(sx, sy)
shadow()
skewX(degrees)
skewY(degrees)
stroke_width(width)
text(x, y, text)
text_anchor(anchor)
text_decoration(decoration)
translate(tx, ty)
word_spacing(value)
writing_mode(mode)

[Validate]